Subject: Re: FYI: git issues with libcurl 8.0/1 HTTPS push

From: Junio C Hamano <[email-masked]>
Date: Tue, 22 Aug 2023 09:59:30 -0700

Daniel Stenberg <[email-masked]> writes:

> The downside with this approach is that you make it build-time. Since
> libcurl 8.2.x is binary compatible with the previous versions, users
> could easily upgrade to a newer libcurl without rebuilding git and
> then unnecessarily have the avoid-h2 code still used.
>
> The ideal approach would do the check in run-time to avoid that.

True.  I however suspect that the ship has already sailed for our
use of libcurl with how git-curl-compat.h uses LIBCURL_VERSION_NUM
for other things already.  A binary of Git built with older libcurl
versions would have compiled out certain features and would still
work with newer libcurl.

Thanks.